{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "vr:run",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "tophole"]
        },
        {
            "name": "vr:run --view",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "x64", "--view"]
        },
        {
            "name": "vr:gunship",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "gunship"]
        },
        {
            "name": "vr:list",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["list"]
        },
        {
            "name": "vr:list_by_type",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["list", "-t", "app"]
        },
        {
            "name": "vr:list_by_name",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["list", "super"]
        },
        {
            "name": "vr:list_by_type_and_name",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["list", "-t", "game", "be"]
        },
        {
            "name": "vr:list_all_types",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["list", "--types"]
        },
        {
            "name": "vr:extra_parm",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "x64work", "-fs10", "c:\\games0\\retro\\commodore"]
        },
        {
            "name": "vr:loadstar",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "loadstar", "001"]
        },
        {
            "name": "vr:gaming",
            "type": "python",
            "request": "launch",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/runner.py",
            "args": ["run", "gaming", "zetawing"]
        },
    ]
}